define(`TITLE', `Network-attached thermometer')
define(`DATE', `2018-06-27')
define(`CONTENT', `
<a href="http://a385e-5.de/wp-content/uploads/2013/06/Foto-4-1.jpg"><img class="alignnone size-medium wp-image-23" alt="Foto 4-1" src="http://a385e-5.de/wp-content/uploads/2013/06/Foto-4-1-224x300.jpg" width="224" height="300" /></a>


<a href="http://a385e-5.de/wp-content/uploads/2013/06/201307031008.jpg"><img src="http://a385e-5.de/wp-content/uploads/2013/06/201307031008-300x290.jpg" alt="201307031008" width="300" height="290" class="alignnone size-medium wp-image-105" /></a>

Using the voltage-reference LT1004 1.2 and the voltage divider, a voltage of 1.0V is provided to the op-amp, which forms together with the bottom 1k resistor and the BS108 a current source, driving 1.0mA through the PT1000. Since 1mA is a bit high for a PT1000, this current can be shut down using the other BS108 by the mcirocontroller via P5.

For a measurement, the current of 1.0mA is switched on, about 100us later the voltage over the PT100 is measured through the difference amplifier and the ADC MAX187, which is read by the microcontroller via P2, P3 and P4. Immediately after measuring the voltage the current is switched off again to avoid heating up the PT1000 with the measurement current.

Embedded software running on the Arduino Uno calculates the temperature from the voltage of the PT1000. This temperature value is low pass filtered using exponential smoothing. All three values (digital output of the ADC, raw temperature and smoothed temperature are provided via the Arduino Ethernet Shield and a proprietary protocol on the LAN, where the values are queried with a period of one minute by the server-side support software and stored in a database.




<a href="http://files.a385e-5.de/files/NetThermometer-0.9.tar.gz" target="_blank">Embedded code</a>

<a href="http://files.a385e-5.de/files/NetThermometerSupport-0.9.tar.gz" target="_blank">Support code</a>




Temperature of the day:

<a href="https://eupenstrasse.yadynns.net:80/graph/Index?g=today"><img class="alignnone size-medium wp-image-23" alt="Foto 4-1" src="https://eupenstrasse.yadynns.net:80/graph/Today" width="224" height="300" /></a>


Temperature of the last seven days:
<a href="https://eupenstrasse.yadynns.net:80/graph/Index?g=week"><img class="alignnone size-medium wp-image-23" alt="Foto 4-1" src="https://eupenstrasse.yadynns.net:80/graph/Week" width="224" height="300" /></a>

Temperature of the month:
<a href="https://eupenstrasse.yadynns.net:80/graph/Index?g=month"><img class="alignnone size-medium wp-image-23" alt="Foto 4-1" src="https://eupenstrasse.yadynns.net:80/graph/Month" width="224" height="300" /></a>
')