define(`TITLE', `Arduino operated Current Sink')
define(`DATE', `2014-01-08')
define(`CONTENT', `
This Arduino operated current sink sinks up to 3A and burns it in a good old 2N3055. It became required to test a circuit in an upcoming project.

(Actually, first the upper current limit was 5A. After killing one power transistor in a test by overheating it, the upper limit was decreased to 3A.)

<a href="http://a385e-5.de/wp-content/uploads/2014/01/20140108-131111.jpg"><img src="http://a385e-5.de/wp-content/uploads/2014/01/20140108-131111-225x300.jpg" alt="20140108-131111.jpg" width="225" height="300" class="alignnone size-medium wp-image-261" /></a>

<a href="http://a385e-5.de/wp-content/uploads/2014/01/20140108-131229.jpg"><img src="http://a385e-5.de/wp-content/uploads/2014/01/20140108-131229-225x300.jpg" alt="20140108-131229.jpg" width="225" height="300" class="alignnone size-medium wp-image-263" /></a>

The current through the sink is controlled using an op amp (TS912), current is measured with one of three shunt resistors (0.1R, 1R, 10R), reference voltage for the op is provided by a DAC (LTC1257), which in turn is operated by the Arduino. The 2N3055 power transistor is driven through a BD135 connected in a Darlington circuit.

Additionally to providing a given value through the DAC, the actual current value is measured of the same shunt resistor using an ADC (MAX187). As an auxilliary value, the voltage at the terminals of the sink is measured, also using an ADC (again MAX187) through a voltage divider.

The user interface is setup with a 16*2 LCD display and a rotary encoder with push button.

<a href="http://a385e-5.de/wp-content/uploads/2014/01/20140108-131150.jpg"><img src="http://a385e-5.de/wp-content/uploads/2014/01/20140108-131150-225x300.jpg" alt="20140108-131150.jpg" width="225" height="300" class="alignnone size-medium wp-image-262" /></a>

Besides this "hardware user interface" it is also possible the control the device with commands send over the USB port.

Here are the schematics:



<a href="http://a385e-5.de/wp-content/uploads/2014/01/laser-drucker_005479_2.jpg"><img src="http://a385e-5.de/wp-content/uploads/2014/01/laser-drucker_005479_2-209x300.jpg" alt="laser-drucker_005479_2" width="209" height="300" class="alignnone size-medium wp-image-275" /></a>


And finally, here is the source code: <a href="http://a385e-5.de/wp-content/uploads/2014/01/CurrentSink-0.9.tar.gz">CurrentSink-0.9.tar.gz</a>
')