define(`TITLE', `M-Bus Master, Part 4 (Gas)')
define(`DATE', `2013-09-11')
define(`CONTENT', `
And finally, the gas meter talks:

<a href="http://a385e-5.de/wp-content/uploads/2013/09/Foto-e1378843697609.jpg"><img src="http://a385e-5.de/wp-content/uploads/2013/09/Foto-e1378843697609-300x225.jpg" alt="Foto" width="300" height="225" class="alignnone size-medium wp-image-197" /></a>

First, assign address 0x40:
<code>
so 68 06 06 68 53 fe 51 01 7a 40 5d 16
success
SO RESP: E5
</code>

And it works:
<code>
so 10 40 40 80 16
success
SO RESP: E5 
</code>

And here is the measurement:
<code>
so 10 5b 40 9b 16
success
SO RESP: 68 56 56 68 08 40 72 43 60 52 00 77 04 14 03 CA 10 00 00 0C 78 76 03 01 10 0D 7C 08 44 49 20 2E 74 73 75 63 0A 30 30 30 30 30 30 30 30 30 30 04 6D 38 15 AA 19 02 7C 09 65 6D 69 74 20 2E 74 61 62 22 0C 04 13 C1 0E 00 00 04 93 7F 4E 01 00 00 44 13 5D 08 00 00 0F 01 00 1F DE 16 
</code>


[table]Octet(s), Field, Meaning
<code>68 56 56 68</code>, preamble and length,
<code>08</code>, C Field,  
<code>40</code>, A Field, 
<code>72</code>, CI Field, variable data response
<code>43 60 52 00</code>, Ident. No.,
<code>77 04</code>, Manufacturer, ACW; Actaris (Itron)
<code>14</code>, Version,
<code>03</code>, Medium, Gas,
<code>CA</code>, Access No,
<code>10</code>, Status,
<code>00 00</code>, Signature,
<code>0C</code>, DIF, 8 digit BCD
<code>78</code>, VIF, Fabrication No
<code>76 03 01 10</code>, Value,
<code>0D</code>, DIF, variable length
<code>7C</code>, VIF, true in following string; length in first byte
<code>08</code>, VIF, first byte; length = 8
<code>44 49 20 2E 74 73 75 63</code>, VIF, Value (LSB first) = "cust. ID"; 
<code>0A</code>, Value, length = 10
<code>30 30 30 30 30 30 30 30 30 30</code>, Value, data
<code>04</code>, DIF, 32bit integer
<code>6D</code>, VIF, Time Point; time&amp;date
<code>38 15 AA 19</code>, Value,
<code>02</code>, DIF, 16bit integer
<code>7C</code>, VIF, true in following string; length in first byte
<code>09</code>, VIF, first byte; length = 9
<code>65 6D 69 74 20 2E 74 61 62</code>, VIF, Value (LSB first) = "bat. time"
<code>22 0C</code>, Value;
<code>04</code>, DIF, 32bit integer
<code>13</code>, VIF, Volume; 10^(3-6)m^3
<code>C1 0E 00 00</code>, Value,
<code>04</code>, DIF, 32bit integer
<code>93</code>, VIF, ext; Volume; 10^(3-6)m^3
<code>7F</code>, VIFE,
<code>4E 01 00 00</code>, Value,  
<code>44</code>, DIF, 32bit integer
<code>13</code>, VIF, Volume; 10^(3-6)m^3
<code>5D 08 00 00</code>, Value,
<code>0F</code>, DIF, Special Functions; Start of manufacturer specific data structures to end of user data
<code>01 00 1F</code>, ,
<code>DE</code> , Checksum,
<code>16</code>, Stopbyte
[/table]
')