define(`TITLE', `Another (better) MBus-Master, Part 4')
define(`DATE', `2014-01-22')
define(`CONTENT', `
Now everything is on one board. A step-up power supply, based on the LM2577, has been added to provide the unusual voltage of 35V required for the bus. Thus, a simple 12V-DC-walk-plug could be used to power the system. However, this introduced some difficulties - hold on.

<a href="http://a385e-5.de/wp-content/uploads/2014/01/Foto-31-e1390381553417.jpg"><img src="http://a385e-5.de/wp-content/uploads/2014/01/Foto-31-e1390381553417-300x225.jpg" alt="Foto 3" width="300" height="225" class="alignnone size-medium wp-image-377" /></a>

The beast works as it should, with no additional load, only one slave connected or with different additional load (50mA, 150mA, 250mA), simulating the related number of slaves (1mA per slave).


However, receive the signal has gone really bad.

First, here are the signal without onboard SMPS, for comparison:

<a href="http://a385e-5.de/wp-content/uploads/2014/01/without_smps.png"><img src="http://a385e-5.de/wp-content/uploads/2014/01/without_smps-300x219.png" alt="without_smps" width="300" height="219" class="alignnone size-medium wp-image-372" /></a>

(blue is trigger of S/H device, yellow is output of difference amplifier)


This is with the SMPS, with an additional load of 200mA:

<a href="http://a385e-5.de/wp-content/uploads/2014/01/with_smps.png"><img src="http://a385e-5.de/wp-content/uploads/2014/01/with_smps-300x219.png" alt="with_smps" width="300" height="219" class="alignnone size-medium wp-image-386" /></a>

<a href="http://a385e-5.de/wp-content/uploads/2014/01/with_smps_2.png"><img src="http://a385e-5.de/wp-content/uploads/2014/01/with_smps_2-300x219.png" alt="with_smps_2" width="300" height="219" class="alignnone size-medium wp-image-375" /></a>

The receive signal can still be recognized and the comparator does it'`s job, but the difference is impressive - although not really unexpected.

Here is it with the SMPS again, now without additional load:

<a href="http://a385e-5.de/wp-content/uploads/2014/01/with_smps_noload.png"><img src="http://a385e-5.de/wp-content/uploads/2014/01/with_smps_noload-300x219.png" alt="with_smps_noload" width="300" height="219" class="alignnone size-medium wp-image-374" /></a>

So, the SMPS must either be strictly separated from the remaining circuit on one board or even better be placed on a separate board - however, putting the SMPS and the receive recognition so close to each other was - rethinking it now - asking for trouble.
')